SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Enumerations | Functions
NatTypeDetectionCommon.h File Reference
`#include "NativeFeatureIncludes.h"`
`#include "SocketIncludes.h"`
`#include "types.h"`
`#include "socket2.h"`

Go to the source code of this file.

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum | SLNet::NATTypeDetectionResult { SLNet::NAT_TYPE_NONE, SLNet::NAT_TYPE_FULL_CONE, SLNet::NAT_TYPE_ADDRESS_RESTRICTED, SLNet::NAT_TYPE_PORT_RESTRICTED, SLNet::NAT_TYPE_SYMMETRIC, SLNet::NAT_TYPE_UNKNOWN, SLNet::NAT_TYPE_DETECTION_IN_PROGRESS, SLNet::NAT_TYPE_SUPPORTS_UPNP, SLNet::NAT_TYPE_COUNT }
| All possible types of NATs (except NAT_TYPE_COUNT, which is an internal value) More...

## Functions

bool RAK_DLL_EXPORT | SLNet::CanConnect (NATTypeDetectionResult type1, NATTypeDetectionResult type2)
RAK_DLL_EXPORT const char * | SLNet::NATTypeDetectionResultToString (NATTypeDetectionResult type)
| Return a technical string representin the enumeration.
RAK_DLL_EXPORT const char * | SLNet::NATTypeDetectionResultToStringFriendly (NATTypeDetectionResult type)
RAK_DLL_EXPORT RakNetSocket2 * | SLNet::CreateNonblockingBoundSocket (const char *bindAddr, RNS2EventHandler *eventHandler)